/* You can add global styles to this file, and also import other style files */
@import '@angular/material/prebuilt-themes/deeppurple-amber.css';

.text-red {
  color: #cc3737 !important;
}

.mat-radio-button {
  margin-right: 10px;
}

.bg-primary {
  background-color: #0d558f !important;
}

:root {

  --swiper-theme-color: #0d558f !important;
  --bs-primary: #0d558f !important;
  --bs-primary-rgb: #0d558f !important;
}

.page-item.active .page-link {
  background-color: #0d558f !important;
}

.btn-primary {
  border-color: #1799ca !important;
  background-color: #1799ca !important;
}

.example-container {
  width: 30%;
  max-width: 100%;
  margin: 0 25px 25px 0;
  display: inline-block;
  vertical-align: top;
}


.cdk-drag-preview {
  max-width: 300px;
  box-sizing: border-box;
  border-radius: 4px;
  background-color: #ffffff;
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
    0 8px 10px 1px rgba(0, 0, 0, 0.14),
    0 3px 14px 2px rgba(0, 0, 0, 0.12);

  .example-box-header {
    img {
      width: 100%;
      height: auto;
    }
  }

  .example-box-content {
    padding: 20px;
  }
}

.cdk-drag-placeholder {
  opacity: 0;
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.example-list.cdk-drop-list-dragging .example-box:not(.cdk-drag-placeholder) {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}



.progression-wrapper {
  display: flex;
  overflow-x: auto;
  flex-direction: row !important;
  padding: 30px;

  h3 {
    font-size: large;
  }

  .example-container {
    min-width: 300px;
    background-color: #ebecf0;
    padding: 20px;
    transition: all 0.3s ease-in-out;
    border-radius: 0.428rem;

    .example-list {
      min-height: 60px;
      border-radius: 4px;
      overflow: hidden;
      display: block;
      background-color: transparent !important;
      border: none !important;
    }

    h2 {
      font-size: 1em;
      font-weight: bolder;
    }

    .example-box {
      border: none;
      color: rgba(0, 0, 0, 0.87);

      box-sizing: border-box;
      cursor: move;
      font-size: 14px;

      background-color: #ffffff;
      margin-bottom: 10px;
      border-radius: 4px;

      .example-box-header {
        img {
          width: 100%;
          height: auto;
        }
      }

      .example-box-content {
        padding: 20px;
      }

      &:hover {
        background-color: #f4f5f7;
        cursor: grab;
      }

      h3 {
        font-size: 1em;
      }
    }
  }
}

.progress {
  height: 20px;
  font-family: monospace;
  font-weight: bolder;
  border-radius: 5px !important;

  .progress-bar {
    border-radius: 5px !important;
  }
}

.main-menu .navbar-header {
  // background-color: #000 !important;
  height: 100px;
}

@font-face {
  font-family: "Prompt-Bold";
  src: url('/assets/fonts/Prompt/Prompt-Bold.ttf');

}

@font-face {
  font-family: "Prompt-Black";
  src: url('/assets/fonts/Prompt/Prompt-Black.ttf');

}

@font-face {
  font-family: "Prompt-Regular";
  src: url('/assets/fonts/Prompt/Prompt-Regular.ttf');

}

@font-face {
  font-family: "Prompt-Medium";
  src: url('/assets/fonts/Prompt/Prompt-Medium.ttf');

}

@font-face {
  font-family: "Prompt-SemiBold";
  src: url('/assets/fonts/Prompt/Prompt-SemiBold.ttf');

}

@font-face {
  font-family: "Prompt-Thin";
  src: url('/assets/fonts/Prompt/Prompt-Thin.ttf');

}

body {
  font-family: "Prompt-Regular";
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Prompt-Bold";
}

button,
a {
  font-family: "Prompt-Medium";
}

.file-container {

  display: flex;
  align-items: center;
  align-content: space-between;
  justify-content: flex-start;
  margin-top: 8px;
  margin-bottom: 8px;
  overflow-x: auto;

  &.file-container--block {
    display: block;
  }

  .file {
    position: relative;
    padding: 5px;

    &.file--large {
      width: 100%;
    }

    img {
      width: 105px;
      height: 105px;
      display: block;
      border-radius: 5px;
      object-fit: cover;
    }

    span {
      position: absolute;
      z-index: 1;
      left: 10px;
      top: 10px;
      color: #3f51c2;

      &:hover {
        cursor: pointer;
      }
    }
  }

  .filename {
    span {
      display: inline-block;
      position: unset;
      left: 0px;
      top: 0px;
    }
  }
}



.ng-image-slider .ng-image-slider-container .main .main-inner .img-div img,
.ng-image-slider .ng-image-slider-container .main .main-inner .img-div video {
  object-fit: cover;
}

.ng-image-fullscreen-view .lightbox-wrapper .lightbox-div .lightbox-image-main .lightbox-image .custom-image-main img {
  object-fit: contain;
  width: 100% !important;
  height: 100% !important;
}

.mdc-text-field--filled:not(.mdc-text-field--disabled) {
  background: transparent !important;
}
